Click or drag to resize

BrepFaceRefitTrim Method

[Missing <summary> documentation for "M:Rhino.Geometry.BrepFace.RefitTrim(Rhino.Geometry.BrepEdge,System.Collections.Generic.IEnumerable{System.Double},System.Double,System.Boolean,System.Double@)"]

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Since: 7.0
Syntax
public Surface[] RefitTrim(
	BrepEdge edge,
	IEnumerable<double> knots,
	double tolerance,
	bool bSections,
	ref double fitQuality
)

Parameters

edge
Type: Rhino.GeometryBrepEdge

[Missing <param name="edge"/> documentation for "M:Rhino.Geometry.BrepFace.RefitTrim(Rhino.Geometry.BrepEdge,System.Collections.Generic.IEnumerable{System.Double},System.Double,System.Boolean,System.Double@)"]

knots
Type: System.Collections.GenericIEnumerableDouble

[Missing <param name="knots"/> documentation for "M:Rhino.Geometry.BrepFace.RefitTrim(Rhino.Geometry.BrepEdge,System.Collections.Generic.IEnumerable{System.Double},System.Double,System.Boolean,System.Double@)"]

tolerance
Type: SystemDouble

[Missing <param name="tolerance"/> documentation for "M:Rhino.Geometry.BrepFace.RefitTrim(Rhino.Geometry.BrepEdge,System.Collections.Generic.IEnumerable{System.Double},System.Double,System.Boolean,System.Double@)"]

bSections
Type: SystemBoolean

[Missing <param name="bSections"/> documentation for "M:Rhino.Geometry.BrepFace.RefitTrim(Rhino.Geometry.BrepEdge,System.Collections.Generic.IEnumerable{System.Double},System.Double,System.Boolean,System.Double@)"]

fitQuality
Type: SystemDouble

[Missing <param name="fitQuality"/> documentation for "M:Rhino.Geometry.BrepFace.RefitTrim(Rhino.Geometry.BrepEdge,System.Collections.Generic.IEnumerable{System.Double},System.Double,System.Boolean,System.Double@)"]

Return Value

Type: Surface

[Missing <returns> documentation for "M:Rhino.Geometry.BrepFace.RefitTrim(Rhino.Geometry.BrepEdge,System.Collections.Generic.IEnumerable{System.Double},System.Double,System.Boolean,System.Double@)"]

See Also